//
//  Hw4AppDelegate.m
//  Hw4
//
//  Created by SJSU Students on 25.11.09.
//  Copyright SJSU Students 2009. All rights reserved.
//

#import "Hw4AppDelegate.h"
#import "EAGLView.h"
@implementation Hw4AppDelegate

@synthesize window;
@synthesize glView;
@synthesize player; 
@synthesize button;

- (void)applicationDidFinishLaunching:(UIApplication *)application {
  
	glView.animationInterval = 1.0 / 60.0;
	[glView startAnimation];
	
	// Start the musicplayer
	[self.player play];
	player.volume = 0.5;
}


- (void)applicationWillResignActive:(UIApplication *)application {
	glView.animationInterval = 1.0 / 5.0;
}


- (void)applicationDidBecomeActive:(UIApplication *)application {
	glView.animationInterval = 1.0 / 60.0;
}


-(IBAction)reset{
	[self.glView reset3D];
}



-(id)init{
	self =[super init];
	
	if (self) {
		/* Set inital points*/
		

		/*   Set up the Audio player */
		NSString *soundFilePath =
		
		[[NSBundle mainBundle] pathForResource: @"Flying_Monkeys"
		 
										ofType: @"mp3"];
		
		NSURL *fileURL = [[NSURL alloc] initFileURLWithPath: soundFilePath];
		
		AVAudioPlayer *newPlayer =
		
		[[AVAudioPlayer alloc] initWithContentsOfURL: fileURL
		 
											   error: nil];
		
		[fileURL release];
		
		self.player = newPlayer;
		
		[newPlayer release];
		
		[player prepareToPlay];
		
		
	}
	return self; 
	
}

/* Method that handles play and pause of music when button is pushed */
-(IBAction)playerButton:(id) sender {
	
	if (self.player.playing) {
		[player pause];
		[sender setTitle:@"Play music" forState:UIControlStateNormal]; 
	}
	else {
		[sender setTitle:@"Pause music" forState:UIControlStateNormal]; 
		//[sender setTitle:@"Pause music"]; 
		[player play];
	}
}



- (void)dealloc {
	[button release];
	[player release];
	[window release];
	[glView release];
	[super dealloc];
}

@end
